Bug 168646 - Printing PDF's results in strange characters
Printing PDF's results in strange characters
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-18 20:38 EDT by Rodd Clarkson
Modified: 2009-07-14 13:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample PDF document that prints strange characters (89.43 KB, application/pdf)
2005-09-18 20:38 EDT, Rodd Clarkson
no flags Details

  None (edit)
Description Rodd Clarkson 2005-09-18 20:38:13 EDT
Description of problem:

Printing a PDF to a printer prints most (all) text as strange characters.  The
document displays fine, but prints garbage.

Version-Release number of selected component (if applicable):

evince-0.4.0-2
poppler-0.4.2-1


How reproducible:

Very.  My father-in-law is getting this on his FC4 install, and I'm seeing it in
rawhide.

Steps to Reproduce:
1. Open a PDF and print it. (see attached PDF as an example).
  
Actual results:

Print strange characters that mean nothing.

Expected results:

Prints the document as seen on the screen.
Comment 1 Rodd Clarkson 2005-09-18 20:38:13 EDT
Created attachment 118953 [details]
sample PDF document that prints strange characters
Comment 2 Zuirdj 2005-10-03 20:12:00 EDT
+1

Try to print this: http://www.davidco.com/pdfs/gtd_workflow_advanced.pdf
Comment 3 Michael Osborne 2005-10-13 18:23:59 EDT
+1
I also get this on both the standard FC4 evince+poppler as well as a rawhide
evince+poppler compiled from srpm on FC4.
Comment 4 Bug Zapper 2008-04-03 12:21:50 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Rodd Clarkson 2008-04-29 22:54:28 EDT
Okay, I'm aware of two computers running f8 that still have this problem (and
other printing problems) related to printing PDF's with evince.

This problem doesn't exist in rawhide (f9-preview).

Is there any chance of getting the current evince/poppler stuff back-ported to f8?
Comment 6 Bug Zapper 2008-05-13 22:02:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:03:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:07:33 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.